Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.datacache
Class ExpirationEvent

    java.lang.Object
      java.util.EventObject
          org.apache.openjpa.datacache.ExpirationEvent

All Implemented Interfaces:
  Serializable

    public class ExpirationEvent

extends EventObject

An event indicating the expiration of an object from the data cache, or an expiration of a result list from the query cache. The source of the event will be the cache.

Since:
  0.3.0
Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ExpirationEvent(Object source, Object key, boolean expired)` Constructor.

Method Summary
`boolean` | `getExpired()` Return whether the expired object was expired naturally, or if the object was explicitly removed.
`Object` | `getKey()` Return the expired object id or query key.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpirationEvent

    public ExpirationEvent(Object source,
                           Object key,
                           boolean expired)

  Constructor.

  Parameters:
    `source` - the data or query cache
    `key` - the expired object oid or query key
    `expired` - `true` if the object was expired naturally; else `false`.

Method Detail

### getKey

    public Object getKey()

  Return the expired object id or query key.

### getExpired

    public boolean getExpired()

  Return whether the expired object was expired naturally, or if the object was explicitly removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.